[general]
#
# general.domain
#
# Domain name of PacketFence system.
domain=domain.com
#
# general.dhcpservers
#
# Comma-delimited list of DHCP servers.  Passthroughs are created to allow DHCP transactions from even "trapped" nodes.
dhcpservers=127.0.0.1,192.168.2.1
#
# general.timezone
#
#System's timezone in string format. List generated from Perl library DataTime::TimeZone
timezone=America/New_York

[guests_admin_registration]
#
# guests_admin_registration.access_duration_choices
#
# These are all the choices offered in the guest management interface as
# possible access duration values for a given registration.
access_duration_choices=1h,3h,12h,1D,2D,3D,5D,1M,1Y

[alerting]
#
# alerting.emailaddr
#
# Email address to which notifications of rogue DHCP servers, violations with an action of "email", or any other
# PacketFence-related message goes to.
emailaddr=devops@domain.com
#
# alerting.smtpserver
#
# Server through which to send messages to the above emailaddr.  The default is localhost - be sure you're running an SMTP
# host locally if you don't change it!
smtpserver=email-smtp.domain.com
#
# alerting.smtp_encryption
#
# Encryption style when connecting to the SMTP server.
smtp_encryption=starttls
#
# alerting.smtp_port
#
# The port of the SMTP server.
# If the port is set to 0 then port is calculated by the encryption type.
# none:25, ssl:465, starttls:587
smtp_port=587
#
# alerting.smtp_username
#
# The username used to connect to the SMTP server
smtp_username=user
#
# alerting.smtp_password
#
# The password used to connect to the SMTP server
smtp_password=password

[database]
#
# database.pass
#
# Password for the mysql database used by PacketFence. Changing this parameter after the initial configuration will *not* change it in the database it self, only in the configuration.
pass=password

[services]
#
# services.pfsso
#
# Should pfsso be managed by PacketFence?
pfsso=disabled
#
# services.pfsetvlan
#
# Should pfsetvlan be managed by PacketFence?
pfsetvlan=enabled
#
# services.snmptrapd
#
# Should snmptrapd be managed by PacketFence?
snmptrapd=enabled
#
# services.routes
#
# Should routes be managed by PacketFence?
routes=disabled

[captive_portal]
#
# captive_portal.network_detection_ip
#
# This IP is used as the webserver who hosts the common/network-access-detection.gif which is used to detect if network
# access was enabled.
# It cannot be a domain name since it is used in registration or quarantine where DNS is blackholed.
# It is recommended that you allow your users to reach your packetfence server and put your LAN's PacketFence IP.
# By default we will make this reach PacketFence's website as an easy solution.
#
network_detection_ip=192.168.2.223
#
# captive_portal.secure_redirect
#
# If secure_redirect is enabled, the captive portal uses HTTPS when redirecting
# captured clients. This is the default behavior.
secure_redirect=disabled
#
# captive_portal.status_only_on_production
#
# If status_only_on_production is enabled, the /status page will only be available on the
# production network. This is disabled by default
status_only_on_production=enabled
#
# captive_portal.detection_mecanism_bypass
#
# Bypass the captive-portal detection mechanism of some browsers / end-points by proxying the detection request.
detection_mecanism_bypass=enabled

[advanced]
#
# advanced.update_iplog_with_accounting
#
# Use the information included in the accounting to update the iplog
update_iplog_with_accounting=enabled

[omapi]
#
# omapi.key_base64
#
# The OMAPI base64 key for signing messages
key_base64=CZeRzLkYOy5VFFzgTjxhpA==

[interface eth0.50]
type=internal
mask=255.255.255.0
enforcement=vlan
ip=172.20.50.2

[interface eth0]
ip=192.168.2.223
ipv6_address=fd1a:f1e5:7a11:e110:f64d:30ff:fe6f:14c2
ipv6_prefix=64
type=management,portal
mask=255.255.254.0

[interface eth0.60]
enforcement=vlan
ip=172.20.60.2
mask=255.255.255.0
type=internal
